/*
 * grunt-imgs-sprite
 * https://github.com/Administrator/my-group-plugin
 *
 * Copyright (c) 2016 cxj
 * Licensed under the MIT license.
 */

'use strict';

module.exports = function(grunt) {

  // Project configuration.
  grunt.initConfig({  
    // Configuration to be run (and then tested).
    imgs_sprite: {
        options: {
            // sprite背景图源文件夹，只有匹配此路径才会处理，默认 images/sprite/
            imagepath: 'test/images/',
            // 雪碧图输出目录，默认images/
            spritedest:'test/sprite',
            // 替换后背景路径，默认 ../images/
            spritepath:"../sprite",
            // 个图片间间距，如果设置为奇数，会强制+1以保证生成的2x图片为偶数宽高，默认 0
            padding:2
        },
        autoSprite:{
           files : [{
               //启用动态扩展
               expand:true,
               // css文件源的文件夹
               cwd:"test/css",
               // 匹配规则 默认匹配源文件夹底下的所有css文件
               src:"**/*.css",
               // 导出css的路径
               dest:"test/build/css",
               //导出文件的扩展名，默认与源文件一致
               ext:'.css'
           }]
        }

    }

  });

  // Actually load this plugin's task(s).
  grunt.loadTasks('tasks');

  // Whenever the "test" task is run, first clean the "tmp" dir, then run this
  // plugin's task(s), then test the result.
  // By default, lint and run all tests.
  grunt.registerTask('default', ['imgs_sprite']);

};
